function configHostname(octal)

% Set the hostname for the current session for PCT.  Setting it to the
% public IP address, for which the cluster nodes can contact the client
% computer.

try
    % This ought to work in almost all cases.
    ip = char(java.net.InetAddress.getLocalHost.getHostAddress());
catch
    % If the above fails, try more brute force approach
    if nargin==0
        % Default initial octal if not supplied
        octal = '137.158';
    end
    cmd = sprintf('ip addr | grep "%s" | cut -f 2 -dt | cut -f 1 -d/',octal);
    [FAILED, ip] = system(cmd);
    ip = strtrim(ip);
    if FAILED || isempty(ip)
        % This may fail for a couple of reasons, including that we're running on a machine that
        % doesn't have the 'ip' utility (i.e. Windows).  Regardless, just error out.
        error('Failed to determine host IP address.  Contact Support to resolve.');
    end
end

pctconfig('hostname',ip);

end
